MetricProblem (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.MetricProblem class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class MetricProblem

    java.lang.Object
      org.hyperic.hq.measurement.server.session.MetricProblem

All Implemented Interfaces:
  java.io.Serializable

    public class MetricProblem

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`MetricProblem()`
`MetricProblem(MeasurementDataId id, java.lang.Integer type)`
`MetricProblem(MeasurementDataId id, java.lang.Integer type, java.lang.Integer additional)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`long` | `get_version_()`
`MeasurementDataId` | `getId()`
`java.lang.Integer` | `getType()`
`int` | `hashCode()`
`protected void` | `set_version_(long newVer)`
`protected void` | `setId(MeasurementDataId id)`
`protected void` | `setType(java.lang.Integer type)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricProblem

    public MetricProblem()

### MetricProblem

    public MetricProblem(MeasurementDataId id,
                         java.lang.Integer type)

### MetricProblem

    public MetricProblem(MeasurementDataId id,
                         java.lang.Integer type,
                         java.lang.Integer additional)

Method Detail

### getId

    public MeasurementDataId getId()

### setId

    protected void setId(MeasurementDataId id)

### get_version_

    public long get_version_()

### set_version_

    protected void set_version_(long newVer)

### getType

    public java.lang.Integer getType()

### setType

    protected void setType(java.lang.Integer type)

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.